diff -aruN --binary 1/administrator/components/com_media/views/images/tmpl/default.php 2/administrator/components/com_media/views/images/tmpl/default.php
--- 1/administrator/components/com_media/views/images/tmpl/default.php	2009-05-29 14:51:30.000000000 +0200
+++ 2/administrator/components/com_media/views/images/tmpl/default.php	2009-07-23 04:25:36.000000000 +0200
@@ -50,17 +50,44 @@
 	<input type="hidden" id="f_file" name="f_file" />
 	<input type="hidden" id="tmpl" name="component" />
 </form>
-<form action="<?php echo JURI::base(); ?>index.php?option=com_media&amp;task=file.upload&amp;tmpl=component&amp;<?php echo $this->session->getName().'='.$this->session->getId(); ?>&amp;pop_up=1&amp;<?php echo JUtility::getToken();?>=1" id="uploadForm" method="post" enctype="multipart/form-data">
-	<fieldset>
-		<legend><?php echo JText::_('Upload'); ?></legend>
-		<fieldset class="actions">
-			<input type="file" id="file-upload" name="Filedata" />
-			<input type="submit" id="file-upload-submit" value="<?php echo JText::_('Start Upload'); ?>"/>
-			<span id="upload-clear"></span>
+<?php	$params =& JComponentHelper::getParams('com_media');
+		$acl = & JFactory::getACL();
+		switch ($params->get('allowed_media_usergroup')) 
+		{
+			case '1':
+				$acl->addACL( 'com_media', 'upload', 'users', 'publisher' );
+				break;
+			case '2':
+				$acl->addACL( 'com_media', 'upload', 'users', 'publisher' );
+				$acl->addACL( 'com_media', 'upload', 'users', 'editor' );
+				break;
+			case '3': 
+				$acl->addACL( 'com_media', 'upload', 'users', 'publisher' );
+				$acl->addACL( 'com_media', 'upload', 'users', 'editor' );				
+				$acl->addACL( 'com_media', 'upload', 'users', 'author' );
+				break;								
+			case '4':
+				$acl->addACL( 'com_media', 'upload', 'users', 'publisher' );				
+				$acl->addACL( 'com_media', 'upload', 'users', 'editor' );
+				$acl->addACL( 'com_media', 'upload', 'users', 'author' );
+				$acl->addACL( 'com_media', 'upload', 'users', 'registered' );
+				break;
+		} ?>
+<?php $user = & JFactory::getUser(); ?>
+<?php $canUpload= ($user->authorize('com_media', 'upload')); ?> 	
+<?php if ($canUpload) : ?>			
+	<form action="<?php echo JURI::base(); ?>index.php?option=com_media&amp;task=file.upload&amp;tmpl=component&amp;<?php echo $this->session->getName().'='.$this->session->getId(); ?>&amp;pop_up=1&amp;<?php echo JUtility::getToken();?>=1" id="uploadForm" method="post" enctype="multipart/form-data">
+		<fieldset>
+			<legend><?php echo JText::_('Upload'); ?></legend>
+			<fieldset class="actions">
+				<input type="file" id="file-upload" name="Filedata" />
+				<input type="submit" id="file-upload-submit" value="<?php echo JText::_('Start Upload'); ?>"/>
+				<span id="upload-clear"></span>
+			</fieldset>
+			<ul class="upload-queue" id="upload-queue">
+				<li style="display: none" />
+			</ul>
 		</fieldset>
-		<ul class="upload-queue" id="upload-queue">
-			<li style="display: none" />
-		</ul>
-	</fieldset>
-	<input type="hidden" name="return-url" value="<?php echo base64_encode('index.php?option=com_media&view=images&tmpl=component&e_name='.JRequest::getCmd('e_name')); ?>" />
+		<input type="hidden" name="return-url" value="<?php echo base64_encode('index.php?option=com_media&view=images&tmpl=component&e_name='.JRequest::getCmd('e_name')); ?>" />
 </form>
+<?php endif; ?>
diff -aruN --binary 1/administrator/components/com_media/views/media/tmpl/default.php 2/administrator/components/com_media/views/media/tmpl/default.php
--- 1/administrator/components/com_media/views/media/tmpl/default.php	2009-05-29 14:51:30.000000000 +0200
+++ 2/administrator/components/com_media/views/media/tmpl/default.php	2009-07-23 04:25:36.000000000 +0200
@@ -61,20 +61,23 @@
             </form>
 
             <!-- File Upload Form -->
-            <form action="<?php echo JURI::base(); ?>index.php?option=com_media&amp;task=file.upload&amp;tmpl=component&amp;<?php echo $this->session->getName().'='.$this->session->getId(); ?>&amp;<?php echo JUtility::getToken();?>=1" id="uploadForm" method="post" enctype="multipart/form-data">
-                <fieldset>
-                    <legend><?php echo JText::_( 'Upload File' ); ?> [ <?php echo JText::_( 'Max' ); ?>&nbsp;<?php echo ($this->config->get('upload_maxsize') / 1000000); ?>M ]</legend>
-                    <fieldset class="actions">
-                        <input type="file" id="file-upload" name="Filedata" />
-                        <input type="submit" id="file-upload-submit" value="<?php echo JText::_('Start Upload'); ?>"/>
-                        <span id="upload-clear"></span>
-                    </fieldset>
-                    <ul class="upload-queue" id="upload-queue">
-                        <li style="display: none" />
-                    </ul>
-                </fieldset>
-                <input type="hidden" name="return-url" value="<?php echo base64_encode('index.php?option=com_media'); ?>" />
-            </form>
+			<?php $canUpload= ($this->user->authorize('com_media', 'upload')); ?> 	
+			<?php if ($canUpload) : ?>
+				<form action="<?php echo JURI::base(); ?>index.php?option=com_media&amp;task=file.upload&amp;tmpl=component&amp;<?php echo $this->session->getName().'='.$this->session->getId(); ?>&amp;<?php echo JUtility::getToken();?>=1" id="uploadForm" method="post" enctype="multipart/form-data">
+					<fieldset>
+						<legend><?php echo JText::_( 'Upload File' ); ?> [ <?php echo JText::_( 'Max' ); ?>&nbsp;<?php echo ($this->config->get('upload_maxsize') / 1000000); ?>M ]</legend>
+						<fieldset class="actions">
+							<input type="file" id="file-upload" name="Filedata" />
+							<input type="submit" id="file-upload-submit" value="<?php echo JText::_('Start Upload'); ?>"/>
+							<span id="upload-clear"></span>
+						</fieldset>
+						<ul class="upload-queue" id="upload-queue">
+							<li style="display: none" />
+						</ul>
+					</fieldset>
+					<input type="hidden" name="return-url" value="<?php echo base64_encode('index.php?option=com_media'); ?>" />
+				</form>
+			<?php endif; ?>
         </td>
     </tr>
 </table>
diff -aruN --binary 1/administrator/includes/framework.php 2/administrator/includes/framework.php
--- 1/administrator/includes/framework.php	2009-06-30 22:01:32.000000000 +0200
+++ 2/administrator/includes/framework.php	2009-07-23 04:25:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: framework.php 12389 2009-07-01 00:34:45Z ian $
+* @version		$Id: framework.php 12543 2009-07-23 01:47:21Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
diff -aruN --binary 1/administrator/language/ca-ES/ca-ES.com_config.ini 2/administrator/language/ca-ES/ca-ES.com_config.ini
--- 1/administrator/language/ca-ES/ca-ES.com_config.ini	2009-06-26 08:51:58.000000000 +0200
+++ 2/administrator/language/ca-ES/ca-ES.com_config.ini	2009-06-28 22:26:28.000000000 +0200
@@ -1,7 +1,8 @@
-# $Id: ca-ES.com_config.ini 11784 2009-06-26 08:51:57 dverger ~0 $
-# author Joomla! Catalan Translation
-# copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
-# license Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# $Id: ca-ES.com_config.ini 12308 2009-06-28 22:15:30Z dverger $
+# Joomla! Catalan Translation
+# Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
 
@@ -140,9 +141,9 @@
 SMTP AUTH=Autorització de l'SMTP
 SMTP HOST=Amfitrió de l'SMTP
 SMTP PASS=Contrasenya de l'SMTP
-SMTP PORT=SMTP Port
+SMTP PORT=Port de l'SMTP
 SMTP SERVER=Servidor de l'SMTP
-SMTP SECURITY=SMTP Security
+SMTP SECURITY=Seguretat de l'SMTP
 SMTP USER=Usuari de l'SMTP
 STATISTICS=Estadístiques
 SYSTEM=Sistema
@@ -205,8 +206,8 @@
 TIPSHOWTITLEMETATAGITEMS=Mostra l'etiqueta meta del títol quan es mostrin els articles
 TIPSITENAME=Introduïu el nom del vostre lloc web. S'utilitzarà a diversos llocs (p.ex. a la barra de títol al lloc d'administració i a les pàgines <em>Lloc fora de línia</em>).
 TIPSMTPAUTH=Trieu 'Sí' si el vostre amfitrió SMTP necessita autenticació SMTP.
-TIPSMTPPORT=Enter the port number of your SMTP server.  Use 25 for most unsecure servers, and 465 or 587 for most secure servers.
-TIPSMTPSECURITY=Select the security model that your SMTP server uses.
+TIPSMTPPORT=Introduïu el número de port del servidor SMTP. Utilitzeu el 25 per a la majoria de servidors insegurs, i el 465 o bé el 587 per a la majoria de servidors segurs.
+TIPSMTPSECURITY=Seleccioneu el model de seguretat que el servidor SMTP utilitza.
 TIPSMTPHOST=Introduïu el nom de l'amfitrió SMTP.
 TIPSMTPUSER=Introduïu el nom d'usuari per a accedir a l'SMTP
 TIPSMTPPASS=Introduïu la contrasenya per a accedir a l'SMTP
@@ -221,4 +222,4 @@
 WARNPATHCHANGES=Podeu establir noves ubicacions per a les carpetes 'Camí a la carpeta de multimèdia' i 'Camí a la carpeta d'imatges'. Per altra banda, no elimineu ni canvieu la carpeta images existent. Les carpetes images/banners, images/M_images, images/smilies i images/stories són emprades per l'aplicació. Vegeu el tema d'ajuda per a aquesta pàgina si necessiteu assistència sobre com tornar a l'estructura de directoris original.
 WARNDONOTCHANGEDATABASETABLESPREFIX=No ho canvieu exceptuant el cas que tingueu una base de dades amb taules amb el prefix que esteu establint.
 WARNING=AVÍS!
-WYSIWYG EDITOR=Editor WYSIWYG
\ No hay ningún carácter de nueva línea al final del fichero
+WYSIWYG EDITOR=Editor WYSIWYG
diff -aruN --binary 1/administrator/language/ca-ES/ca-ES.com_content.ini 2/administrator/language/ca-ES/ca-ES.com_content.ini
--- 1/administrator/language/ca-ES/ca-ES.com_content.ini	2009-03-13 23:41:04.000000000 +0100
+++ 2/administrator/language/ca-ES/ca-ES.com_content.ini	2009-06-30 21:05:36.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: ca-ES.com_content.ini 11625 2009-03-13 22:44:06Z dverger $
+# $Id: ca-ES.com_content.ini 12386 2009-06-30 21:04:06Z dverger $
 # Joomla! Catalan Translation
 # Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
 # Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
@@ -188,3 +188,4 @@
 YOU CANNOT EDIT AN ARCHIVED ITEM=No podeu editar un article arxivat.
 YOU MUST SELECT A CATEGORY=Heu de seleccionar una categoria.
 YOU MUST SELECT A SECTION=Heu de seleccionar una secció.
+TOGGLE EDITOR=Canvia d'editor
diff -aruN --binary 1/administrator/language/ca-ES/ca-ES.com_media.ini 2/administrator/language/ca-ES/ca-ES.com_media.ini
--- 1/administrator/language/ca-ES/ca-ES.com_media.ini	2008-12-31 19:16:12.000000000 +0100
+++ 2/administrator/language/ca-ES/ca-ES.com_media.ini	2009-07-23 10:51:38.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: ca-ES.com_media.ini 10496 2008-07-28 20:00:40Z dverger $
+# $Id: ca-ES.com_media.ini 12540 2009-07-23 11:00:40Z dverger $
 # Joomla! Catalan Translation
 # Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 # Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
@@ -67,6 +67,7 @@
 MEDIA MANAGER=Gestor multimèdia
 NAME=Nom de la imatge
 NO IMAGES FOUND=No s'han trobat imatges
+NOT EMPTY!=el directori no és buit!
 NOT SET=No establert
 NUMFILES=Fitxers:
 NUMFOLDERS=Carpetes:
@@ -81,7 +82,7 @@
 THIS COMPONENT MANAGES SITE MEDIA=Aquest component gestiona els fitxers multimèdia del lloc web
 THIS FILE TYPE IS NOT SUPPORTED=Aquest tipus de fitxer no és suportat
 THUMBNAIL VIEW=Vista en miniatura
-UNABLE TO DELETE: NOT EMPTY!=No es pot eliminar! No és buit!
+UNABLE TO DELETE:=No es pot eliminar:
 UP=Amunt
 UPLOAD=Penja
 UPLOAD COMPLETE=Càrrega acabada
diff -aruN --binary 1/administrator/language/ca-ES/ca-ES.ini 2/administrator/language/ca-ES/ca-ES.ini
--- 1/administrator/language/ca-ES/ca-ES.ini	2009-06-26 08:49:04.000000000 +0200
+++ 2/administrator/language/ca-ES/ca-ES.ini	2009-07-05 22:41:12.000000000 +0200
@@ -1,7 +1,8 @@
-# $Id: ca-ES.ini 11779 2009-06-26 08:49:04 dverger ~0 $
-# author Joomla! Catalan Translation
-# copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
-# license Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# $Id: ca-ES.ini 12308 2009-06-28 22:30:01Z dverger $
+# Joomla! Catalan Translation
+# Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
 
@@ -12,7 +13,7 @@
 DATE_FORMAT_LC3=%e de %B de %Y
 DATE_FORMAT_LC4=%d.%m.%y
 DATE_FORMAT_JS1=y-m-d
-%Y-%M-%D=%Y-%M-%D
+%Y-%M-%D=%Y-%m-%d
 %A, %B %E=%A, %e de %B
 
 # Months
@@ -50,7 +51,7 @@
 SUNDAY=diumenge
 MON=dl.
 MONDAY=dilluns
-TUE=dm.
+TUE=dt.
 TUESDAY=dimarts
 WED=dc.
 WEDNESDAY=dimecres
@@ -134,7 +135,7 @@
 PHPMAILER_FILE_ACCESS=No s'ha pogut accedir al fitxer:
 PHPMAILER_FILE_OPEN=No s'ha pogut obrir el fitxer:
 PHPMAILER_ENCODING=Codificació desconeguda:
-PHPMAILER_SIGNING=Error de signatura:
+PHPMAILER_SIGNING=S'ha produït un error de signatura:
 
 A SHORT ALT ATTRIBUTE FOR IMAGE=Una etiqueta alternativa (Alt) breu per a una imatge
 ACCESS=Accés
@@ -602,4 +603,4 @@
 WRITABLE=Es pot escriure
 YES=Sí
 YOU MUST SELECT A CATEGORY=Heu de seleccionar una categoria
-YOU MUST SELECT A SECTION=Heu de seleccionar una secció
\ No hay ningún carácter de nueva línea al final del fichero
+YOU MUST SELECT A SECTION=Heu de seleccionar una secció
diff -aruN --binary 1/administrator/language/ca-ES/ca-ES.mod_quickicon.ini 2/administrator/language/ca-ES/ca-ES.mod_quickicon.ini
--- 1/administrator/language/ca-ES/ca-ES.mod_quickicon.ini	2009-06-25 14:22:12.000000000 +0200
+++ 2/administrator/language/ca-ES/ca-ES.mod_quickicon.ini	2008-12-31 19:41:32.000000000 +0100
@@ -4,7 +4,7 @@
 # Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
-# Note : All ini files need to be saved as UTF-8--MODIFICADO POR Joomla! Spanish
+# Note : All ini files need to be saved as UTF-8
 
 ADD NEW ARTICLE=Afegeix un nou article
 CATEGORY MANAGER=Gestor de categories
@@ -20,4 +20,3 @@
 THIS MODULE SHOWS QUICK ICONS THAT ARE VISIBLE ON THE ADMIN AREA HOME PAGE=Aquest mòdul mostra les icones d'execució ràpida que són visibles al tauler de control.
 TRASH MANAGER=Gestor de la paperera
 USER MANAGER=Gestor d'usuaris
-TRANSLATION MANAGER=Administrador de Traduccions
\ No hay ningún carácter de nueva línea al final del fichero
diff -aruN --binary 1/administrator/language/ca-ES/ca-ES.plg_editors_tinymce.ini 2/administrator/language/ca-ES/ca-ES.plg_editors_tinymce.ini
--- 1/administrator/language/ca-ES/ca-ES.plg_editors_tinymce.ini	2008-12-31 19:52:22.000000000 +0100
+++ 2/administrator/language/ca-ES/ca-ES.plg_editors_tinymce.ini	2009-07-06 14:24:56.000000000 +0200
@@ -1,7 +1,7 @@
-# $Id: ca-ES.plg_editors_tinymce.ini 10496 2008-07-30 00:48:54Z dverger $
+# $Id: ca-ES.plg_editors_tinymce.ini 12386 2009-06-30 20:48:54Z dverger $
 # Joomla! Catalan Translation
-# Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
-# Copyright (C) Translation 2008  Catalan Joomla Translation Team - joomla.cat
+# Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009 Catalan Joomla Translation Team - joomla.cat
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
@@ -29,9 +29,9 @@
 ELEMENTS THAT WILL BE CLEANED FROM THE TEXT=Elements que es netejaran del text
 EXTENDED VALID ELEMENTS=Elements vàlids ampliats
 FLASH=Flash
-FORMAT OF INSERTED DATE. ONLY WORKS IN ADVANCED MODE=Format de la data inserida. Només funciona en mode avançat.
-FORMAT OF INSERTED TIME. ONLY WORKS IN ADVANCED MODE=Format de l'hora inserida. Només funciona en mode avançat
-FRONT ONLY=Només davant.
+FORMAT OF INSERTED DATE. ONLY WORKS IN ADVANCED MODE=Format de la data inserida. Només s'aplica en mode ampliat.
+FORMAT OF INSERTED TIME. ONLY WORKS IN ADVANCED MODE=Format de l'hora inserida. Només s'aplica en mode ampliat.
+FRONT ONLY=Només al front.
 FULLSCREEN=Pantalla completa
 FUNCTIONALITY=Funcionalitat
 HORIZONTAL RULE=Regle horitzontal
@@ -54,23 +54,23 @@
 PARAMELEMENTPATH=Si trieu 'Activa', mostra el conjunt de classes per al text marcat.
 PARAMENTITIECLEANUP=Si trieu 'No', les entitats s'eliminen del codi.
 PARAMEXTVALIDELEMENTS=Permet l'addició d'elements vàlids específics al conjunt existent de normes.
-PARAMFLASH=Mostra/Amaga el botó de Flash. Només funciona en mode avançat.
-PARAMFULLSCREEN=Mostra/Amaga el botó de pantalla completa. Només funciona en mode avançat.
-PARAMINSERTDATE=Mostra/Amaga el botó d'inserir data. Només funciona en mode avançat.
-PARAMINSERTTIME=Mostra/Amaga el botó d'inserir l'hora. Només funciona en mode avançat.
-PARAMHTMLHEIGHT=Alçada de la finestra emergent de mode HTML. Només funciona en mode avançat.
-PARAMHTMLWIDTH=Amplada de la finestra emergent de mode HTML. Només funciona en mode avançat.
-PARAMLAYER=Mostra/Amaga el botó de control de capes. Només funciona en mode avançat.
-PARAMPREVIEW=Mostra/Amaga els botons de previsualització. Només funciona en mode avançat.
-PARAMPREVIEWHEIGHT=Alçada de la finestra emergent de mode de previsualització. Només funciona en mode avançat.
-PARAMPREVIEWWIDTH=Amplada de la finestra emergent de mode de previsualització. Només funciona en mode avançat.
-PARAMSEARCHREPLACE=Mostra/Amaga el botó Cerca &amp; Reemplaça. Només funciona en mode avançat.
-PARAMSMILIES=Mostra/Amaga els botons d'emoticones. Només funciona en mode avançat.
-PARAMSTYLE=Mostra/Amaga el botó de control d'estils CSS. Només funciona en mode avançat.
-PARAMTABLE=Mostra/Amaga el botó de control de taules. Només funciona en mode avançat.
-PARAMTEMPLATE=Mostra/Amaga el botó de nova capa. Només funciona en mode avançat.
+PARAMFLASH=Mostra/Amaga el botó de Flash. Només s'aplica en mode ampliat.
+PARAMFULLSCREEN=Mostra/Amaga el botó de pantalla completa. Només s'aplica en mode ampliat.
+PARAMINSERTDATE=Mostra/Amaga el botó d'inserir data. Només s'aplica en mode ampliat.
+PARAMINSERTTIME=Mostra/Amaga el botó d'inserir l'hora. Només s'aplica en mode ampliat.
+PARAMHTMLHEIGHT=Alçada de la finestra emergent de mode HTML. Només s'aplica en mode ampliat.
+PARAMHTMLWIDTH=Amplada de la finestra emergent de mode HTML. Només s'aplica en mode ampliat.
+PARAMLAYER=Mostra/Amaga el botó de control de capes. Només s'aplica en mode ampliat.
+PARAMPREVIEW=Mostra/Amaga els botons de previsualització. Només s'aplica en mode ampliat.
+PARAMPREVIEWHEIGHT=Alçada de la finestra emergent de mode de previsualització. Només s'aplica en mode ampliat.
+PARAMPREVIEWWIDTH=Amplada de la finestra emergent de mode de previsualització. Només s'aplica en mode ampliat.
+PARAMSEARCHREPLACE=Mostra/Amaga el botó Cerca &amp; Reemplaça. Només s'aplica en mode ampliat.
+PARAMSMILIES=Mostra/Amaga els botons d'emoticones. Només s'aplica en mode ampliat.
+PARAMSTYLE=Mostra/Amaga el botó de control d'estils CSS. Només s'aplica en mode ampliat.
+PARAMTABLE=Mostra/Amaga el botó de control de taules. Només s'aplica en mode ampliat.
+PARAMTEMPLATE=Mostra/Amaga el botó Insereix contingut predefinit segons plantilla. Només s'aplica en mode ampliat.
 PARAMTEMPLATECSS=Per defecte el connector cerca un fitxer editor.css. Si no en pot trobar cap a la plantilla per defecte carrega el fitxer editor.css de la plantilla del sistema.
-PARAMXHTMLXTRAS=Mostra/Amaga les funcions XHTML addicionals. Només funciona en mode avançat.
+PARAMXHTMLXTRAS=Mostra/Amaga les funcions XHTML addicionals. Només s'aplica en mode ampliat.
 POSITION OF THE TOOLBAR=Posició de la barra d'eines
 PREVIEW=Previsualització
 PREVIEW HEIGHT=Alçada de la previsualització
@@ -81,7 +81,7 @@
 SAVE WARNING=Avís de desat
 SAVE WARNING - GIVES WARNING IF YOU CANCEL WITHOUT SAVING CHANGES=Avís de desat: dóna un avís si cancel·leu sense desar els canvis.
 SEARCH AND REPLACE=Cerca &amp; Reemplaça
-SELECT FUNCTIONALITY=Funcionalitat de selecció
+SELECT FUNCTIONALITY=Selecciona la funcionalitat
 SHOW/HIDE THE HORIZONTAL RULE BUTTON=Mostra/Amaga el botó de regle horitzontal
 SIMPLE=Simple
 SMILIES=Emoticones
@@ -94,3 +94,50 @@
 URL BEHAVIOUR=Comportament URL
 URLS=URL
 XHTMLXTRAS=XHTMLxtras
+
+# Noves definicions
+SKIN=Aparença
+SELECT SKIN=Selecciona l'aparença
+
+ADD CUSTOM BUTTON(S)=Afegeix botons personalitzats
+ADD CUSTOM PLUGIN(S)=Afegeix connectors personalitzats
+ADVANCED IMAGE=Imatge avançada
+ADVANCED LINK=Enllaç avançat
+ALIGNMENT OF THE TOOLBAR=Alineació de la barra d'eines
+ALL DIALOGS TO OPEN AS FLOATING DIV LAYERS INSTEAD OF POPUP WINDOWS. THIS OPTION CAN BE VERY USEFUL IN ORDER TO GET AROUND POPUP BLOCKERS.=Fes que tots els diàlegs s'obrin com a capes DIV flotants en lloc de com a finestres emergents. Aquesta opció pot ser molt útil per tal d'evitar els bloquejadors de finestres emergents.
+COLORS=Colors
+CONTEXT MENU=Menú contextual
+CONTROLS HOW ENTITIES GET PROCESSED BY EDITOR=Controla de quina forma l'editor processa les entitats
+CUSTOM BUTTON=Botó personalitzat
+CUSTOM PLUGIN=Connector personalitzat
+ENTITY ENCODING=Codificació d'entitat
+EXTENDED=Ampliat
+FONTS=Fonts
+INLINE POPUPS=Emergents en línia
+INSERT NONBREAKING SPACE ENTITIES=Insereix entitats d'espai en blanc
+NAMED=anomenat
+NONBREAKING=Espai en blanc
+NUMERIC=numèric
+OFFICE2007 BLACK=Office2007 Negre
+OFFICE2007 BLUE=Office2007 Blau
+OFFICE2007 SILVER=Office2007 Plata
+PARAMCOLORS=Mostra/Amaga els botons de control de colors. Només s'aplica en mode ampliat.
+PARAMS EXTENDED MODE=<strong>Opcions de mode ampliat</strong><br />Aquestes opcions només s'apliquen en mode ampliat.
+PARAMFONTS=Mostra/Amaga els selectors de fonts. Només s'aplica en mode ampliat
+PARAMMEDIA=Mostra/Amaga el botó d'imatge. Només s'aplica en mode ampliat
+PARAMPASTE=Mostra/Amaga els botons d'enganxar. Només s'aplica en mode ampliat
+PASTE=Enganxa
+POSSIBILITY TO SEE INVISIBLE CHARACTERS=Possibilitat de veure els caràcters invisibles
+RAW=cru
+SAFARI COMPATIBILITY=Compatibilitat amb el Safari
+SEARCH-REPLACE=Cerca-Reemplaça
+TEMPLATE=Plantilla
+TINYBROWSER=Tinybrowser
+TOOLBAR ALIGN=Alineació de la barra d'eines
+TURN ON/OFF A MORE ADVANCED IMAGE DIALOG=Activa/desactiva un diàleg d'imatge més avançat
+TURN ON/OFF A MORE ADVANCED LINK DIALOG=Activa/desactiva un diàleg d'enllaç més avançat
+TURN ON/OFF CONTEXT MENU=Activa/desactiva el menú contextual
+TURN ON/OFF SAFARI COMPATIBILITY PLUGIN=Activa/desactiva el connector de compatibilitat amb el Safari
+TURN ON/OFF TINYBROWSER FOR IMAGES/LINKS=Activa/desactiva el Tinybrowser per a imatges/enllaços
+VISUALCHARS=Caràcters visuals
+
diff -aruN --binary 1/administrator/language/ca-ES/ca-ES.tpl_ja_purity.ini 2/administrator/language/ca-ES/ca-ES.tpl_ja_purity.ini
--- 1/administrator/language/ca-ES/ca-ES.tpl_ja_purity.ini	2009-06-26 08:50:06.000000000 +0200
+++ 2/administrator/language/ca-ES/ca-ES.tpl_ja_purity.ini	2009-01-10 19:34:32.000000000 +0100
@@ -1,7 +1,8 @@
-# $Id: ca-ES.tpl_ja_purity.ini 11403 2009-06-26 08:50:06 dverger ~0 $
-# author Joomla! Catalan Translation
-# copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
-# license Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# $Id: ca-ES.tpl_ja_purity.ini 11403 2009-01-10 14:22:55Z dverger $
+# Joomla! Catalan Translation
+# Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+# Copyright (C) Translation 2008 - 2009  Catalan Joomla Translation Team - joomla.cat
+# license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
 
 # Note : All ini files need to be saved as UTF-8
 
@@ -57,4 +58,4 @@
 TEMPLATE FONT SIZE=<hr /><b>Mida de font de la plantilla</b>
 TEMPLATE_WIDTH=<hr /><b>Amplada de la plantilla</b>
 TEMPLATE STYLES=<hr /><b>Estils de la plantilla</b>
-RIGHT MODULES=<hr /><b>Funció d'ocultació dels mòduls de la dreta</b>
\ No hay ningún carácter de nueva línea al final del fichero
+RIGHT MODULES=<hr /><b>Funció d'ocultació dels mòduls de la dreta</b>
diff -aruN --binary 1/administrator/language/en-GB/en-GB.com_media.ini 2/administrator/language/en-GB/en-GB.com_media.ini
--- 1/administrator/language/en-GB/en-GB.com_media.ini	2009-05-29 14:50:44.000000000 +0200
+++ 2/administrator/language/en-GB/en-GB.com_media.ini	2009-07-23 04:25:36.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: en-GB.com_media.ini 10496 2008-07-03 07:08:39Z ircmaxell $
+# $Id: en-GB.com_media.ini 12540 2009-07-22 17:34:44Z ian $
 # Joomla! Project
 # Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 # License http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
@@ -65,6 +65,7 @@
 MEDIA MANAGER=Media Manager
 NAME=Image Name
 NO IMAGES FOUND=No Images Found
+NOT EMPTY!=the directory is not empty!
 NOT SET=Not Set
 NUMFILES=Files:
 NUMFOLDERS=Folders:
@@ -79,7 +80,7 @@
 THIS COMPONENT MANAGES SITE MEDIA=This Component manages site media
 THIS FILE TYPE IS NOT SUPPORTED=This file type is not supported
 THUMBNAIL VIEW=Thumbnail View
-UNABLE TO DELETE: NOT EMPTY!=Unable to delete! Not empty!
+UNABLE TO DELETE:=Unable to delete:
 UP=Up
 UPLOAD=Upload
 UPLOAD COMPLETE=Upload Complete
diff -aruN --binary 1/administrator/language/es-ES/es-ES.com_media.ini 2/administrator/language/es-ES/es-ES.com_media.ini
--- 1/administrator/language/es-ES/es-ES.com_media.ini	2009-05-23 04:45:12.000000000 +0200
+++ 2/administrator/language/es-ES/es-ES.com_media.ini	2009-07-25 18:44:46.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: es-ES.com_media.ini 1.5.0 2009-05-23 04:45:12 15:24:34 ~0 $
+# $Id: es-ES.com_media.ini 1.5.0 2009-07-25 18:44:43 15:24:34 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
@@ -66,6 +66,7 @@
 MEDIA MANAGER=Gestor Multimedia
 NAME=Nombre del Item
 NO IMAGES FOUND=No encuentro imágenes
+NOT EMPTY!=¡el directorio no está vacío!
 NOT SET=Sin asignar
 NUMFILES=Archivos:
 NUMFOLDERS=Carpetas:
@@ -80,7 +81,7 @@
 THIS COMPONENT MANAGES SITE MEDIA=Este Componente gestiona archivos Multimedia
 THIS FILE TYPE IS NOT SUPPORTED=Este tipo de archivo no está soportado
 THUMBNAIL VIEW=Vista en Miniatura
-UNABLE TO DELETE: NOT EMPTY!=Imposible borrarlo: ¡No está vacio!
+UNABLE TO DELETE:=No se puede borrar:
 UP=Subir
 UPLOAD=Subida
 UPLOAD COMPLETE=Subida completada
@@ -96,4 +97,5 @@
 WARNINVALIDIMG=Imagen inválida.
 WARNINVALIDMIME=Se ha encontrado un tipo de MIME inválido o no autorizado.
 WARNNOTADMIN=El archivo subido no es una imagen y tú no eres usuario con rango de Autor o superior.
-WARNIEXSS=Se ha encontrado un posible ataque del tipo XSS.
\ No hay ningún carácter de nueva línea al final del fichero
+WARNIEXSS=Se ha encontrado un posible ataque del tipo XSS.
+UNABLE TO DELETE: NOT EMPTY!=Imposible borrarlo: ¡No está vacio!
\ No hay ningún carácter de nueva línea al final del fichero
diff -aruN --binary 1/administrator/language/es-ES/es-ES.mod_feed.ini 2/administrator/language/es-ES/es-ES.mod_feed.ini
--- 1/administrator/language/es-ES/es-ES.mod_feed.ini	2009-01-11 03:33:26.000000000 +0100
+++ 2/administrator/language/es-ES/es-ES.mod_feed.ini	2009-07-25 18:10:16.000000000 +0200
@@ -1,4 +1,4 @@
-# $Id: es-ES.mod_feed.ini 1.5.5 2009-01-11 02:33:26 ff ~0 $
+# $Id: es-ES.mod_feed.ini 1.5.5 2009-07-04 12:52:49 ff ~0 $
 # author Joomla! Spanish
 # copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
@@ -17,7 +17,7 @@
 ITEMS=Ítems
 MOD_FEED=mod feed
 PARAMITEMDESC=Mostrar la descripción o introducción de texto de cada uno de los artículos RSS
-PARAMWORDCOUNT=Le permite limitar la cantidad visible de texto de la descripción . 0 mostrará todo el texto
+PARAMWORDCOUNT=Le permite limitar la cantidad visible de texto en la descripción . 0 mostrará todo el texto
 RTL FEED=RTL feed
 SHOW THE DESCRIPTION TEXT FOR THE WHOLE FEED=Mostrar la descripción del texto para el conjunto del feed
 SHOW THE IMAGE ASSOCIATED WITH THE WHOLE FEED=Mostrar la imagen asociada con la totalidad del feed
diff -aruN --binary 1/CHANGELOG.php 2/CHANGELOG.php
--- 1/CHANGELOG.php	2009-06-30 22:01:32.000000000 +0200
+++ 2/CHANGELOG.php	2009-07-23 04:25:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: CHANGELOG.php 12389 2009-07-01 00:34:45Z ian $
+* @version		$Id: CHANGELOG.php 12543 2009-07-23 01:47:21Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
@@ -37,6 +37,20 @@
 - -> Removed
 ! -> Note
 
+
+-------------------- 1.5.13 Stable Release [22-July-2009] ------------------
+
+22-Jul-2009 Ian MacLennan
+ # [#15548] Plugin content/emailcloak: package oomla
+ # [#16073] Front End Account Creation does not save 'usertype' in jos_users table
+ # [#16726] Edit icon does not appear in correct area (buttonheading)
+ # [#17008] Untranslated error message in Media Manager
+ # [#17053] 1.5.12 Media Manager showing upload Error
+ # [#17101] Reversion of changes to Image Button in 1.5.12
+
+06-Jul-2009 Sam Moffatt
+ # [#17058] Incorrect _JEXEC check breaks TinyMCE JS when using compressed mode
+
 -------------------- 1.5.12 Stable Release [30-June-2009] ------------------
 
 29-Jun-2009 Ian MacLennan
diff -aruN --binary 1/components/com_content/views/frontpage/tmpl/default_item.php 2/components/com_content/views/frontpage/tmpl/default_item.php
--- 1/components/com_content/views/frontpage/tmpl/default_item.php	2009-05-29 15:22:46.000000000 +0200
+++ 2/components/com_content/views/frontpage/tmpl/default_item.php	2009-07-23 04:25:36.000000000 +0200
@@ -39,7 +39,7 @@
 	</td>
 	<?php endif; ?>
 	<?php if ($canEdit) : ?>
-	<td>
+	<td align="right" width="100%" class="buttonheading">
 		<?php echo JHTML::_('icon.edit', $this->item, $this->item->params, $this->access); ?>
 	</td>
 	<?php endif; ?>
